<?php
if ($belepve == 1) 
{
  if(isset($veznev_cegnev) && !empty($veznev_cegnev) &&
  	isset($kernev_cegnev) && !empty($kernev_cegnev) &&
	isset($iszam) && !empty($iszam) &&
	isset($helyseg) && !empty($helyseg) &&
	isset($utca2) && !empty($utca2) &&
	isset($hsz) && !empty($hsz) &&
	isset($sz_nev_cegnev) && !empty($sz_nev_cegnev) &&
	isset($sz_iszam) && !empty($sz_iszam) &&
	isset($sz_helyseg) && !empty($sz_helyseg) &&
	isset($sz_utca2) && !empty($sz_utca2) &&
	isset($sz_hsz2) && !empty($sz_hsz2)
	)
  {	  
	?>
	<div class="folyamat">
	  <a href="index.php?page=megerosit" style="font-size:8pt; font-weight:bolder; color:#090; text-decoration:none;">A kosár tartalma >></a> 
	  <a href="index.php?page=szallitas" style="font-size:8pt; font-weight:bolder; color:#090; text-decoration:none;">Vásárlói adatok >></a> 
	  <a href="index.php?page=osszegzes" style="font-size:11pt; font-weight:bolder; color:#900; text-decoration:none;">Rendelés összegzése >></a> 
	  <span style="font-size:8pt; font-weight:bold; color:#999; text-decoration:none;">Rendelés elküldése</span>
	</div>
	<br /><br />
	<form name="osszegzes" id="osszegzes" action="index.php?page=rendeles" method="POST">
	
	  <strong>A megrendelt termékek:</strong><br />
	
	  <table style="font-size:8pt;">
		<?php
		// véletlenszám generálása:
		srand((double)microtime()*100000000);
		$kod = rand(0,100000000);
		
		$osszeg = 0;
		
		$sql = "SELECT * FROM kosar WHERE ugyfel_id=$webshop_id AND rendeles_id=0";
	
		$eredmeny = mysql_query($sql);
		
		$mitrendelt = "";
		$ujsor = "\r\n";          
		
		while ($sor = mysql_fetch_array($eredmeny)) 
		{
		  $kosar_id = $sor["id"];
		  $termek_id = $sor["termek_id"];
		  $mennyiseg = $sor["mennyiseg"];
		  
		  $parancs = "SELECT * FROM termekek WHERE id=$termek_id";
		  $rs = mysql_query($parancs);
	
		  if (mysql_num_rows($rs) > 0) 
		  {
			$egysor = mysql_fetch_array($rs);
			$nev = $egysor["nev"];
			$ar = $egysor["ar"];
			$osszeg += $mennyiseg * $ar;
			
			$mitrendelt .= "$nev ($ar Ft) x $mennyiseg = " . $mennyiseg * $ar . " Ft" . $ujsor;
			
			?>
			<tr>
			  <td><?php echo $nev?></td>
			  <td align="right"><?php echo $ar?> Ft</td>
			  <td align="right">x <?php echo $mennyiseg?> =</td>
			  <td align="right"><?php echo szampontos($mennyiseg * $ar)?> Ft</td>
			</tr>
			<?php
		  }
		}
		?>
	
		<tr>
		  <td align="right" colspan="3"><strong>Összesen:</strong></td>
		  <td align="right"><strong><?php echo szampontos($osszeg)?> Ft</strong></td>
		</tr>
	
	  </table>
      
      <p>A fizetni csak a termék átvétele után, a futárnak kell!</p>
	  
	  <br /><br /> 
	
	  <strong>Vásárlói adatok:</strong><br />
	
	  <table style="font-size:8pt;">
	
		<tr>
		  <td class="vasarloi_adatok" >Név/Cégnév:</td>
		  <td><?php echo $webshop_nev?></td>
		</tr>
	
		<tr>
		  <td class="vasarloi_adatok">E-mail cím:</td>
		  <td><?php echo $webshop_email?></td>
		</tr>
	
		<tr>
		  <td class="vasarloi_adatok">Telefon (vezetékes):</td>
		  <td><?php echo $vez_tel?></td>
		</tr>
	
		<tr>
		  <td class="vasarloi_adatok">Telefon (mobil):</td>
		  <td><?php echo $mobil_tel?></td>
		</tr>
	
		<tr>
		  <td class="vasarloi_adatok">Ország:</td>
		  <td><?php echo $orszag?></td>
		</tr>
	
		<tr>
		  <td class="vasarloi_adatok">Postázási cím:</td>
		  <td><?php echo $irszam?> <?php echo $helyseg?>, <?php echo $utca?> <?php echo $hszam?></td>
		</tr>
	
		<tr>
		  <td class="vasarloi_adatok">Számlázási név:</td>
		  <td><?php echo $sz_nev?></td>
		</tr>
	
		<tr>
		  <td class="vasarloi_adatok">Számlázási cím:</td>
		  <td><?php echo $sz_irszam?> <?php echo $sz_helyseg?>, <?php echo $sz_utca?> <?php echo $sz_hszam?></td>
		</tr>
	
	  </table>
	  
	  <input type="hidden" name="osszeg" value="<?php echo $osszeg?>">
	  <input type="hidden" name="mitrendelt" value="<?php echo $mitrendelt?>">
	  <input type="hidden" name="kod" value="<?php echo $kod?>">
	  
	  <br />
	  <p>Ha a fenti adatokat helyesnek találod, kattints az alábbi gombra a rendelés elküldéséhez:</p>
	  <br /><br />
	  
	  <input name="tovabb" id="tovabb" type="submit" value="A rendelés elküldése >>" />
	</form>
	
	<?php
  }
  else
  {
	echo "Kérlek a csillagozott mezőket mindenképpen töltsd ki, hogy a rendelésed biztosan célba érjen!";
	echo "<br /><br /><a href=\"index.php?page=szallitas\">Vissza az adatok kitöltéséhez</a>";
  }
}
else
{
  echo "Az adott oldal megtekintéséhez be kell jelentkezned és rendelni kell valamit!";
?>
  <a href="index.php">Vissza a kezdőlapra...</a>
<?php
}
?>